commit:     17e2b60acb7049e925c1d65116dbb4edf16e820e
Author:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 17 10:24:30 2017 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Sun Dec 17 17:22:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17e2b60a

dev-python/vobject: add 0.9.5 ebuild

Cloned 0.9.3 ebuild with stable keywords dropped to unstable.

This is required to add app-misc/khard into the tree, as khard is broken
with vobject-0.9.3.

Cc: python <AT> gentoo.org
Acked-by: Michał Górny <mgorny <AT> gentoo.org>
Acked-by: Mike Gilbert <floppym <AT> gentoo.org>
Bug: https://bugs.gentoo.org/601440
Package-Manager: Portage-2.3.17, Repoman-2.3.6

 dev-python/vobject/Manifest             |  1 +
 dev-python/vobject/vobject-0.9.5.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/dev-python/vobject/Manifest b/dev-python/vobject/Manifest
index 3a7065c6ac3..e667c3ca603 100644
--- a/dev-python/vobject/Manifest
+++ b/dev-python/vobject/Manifest
@@ -1 +1,2 @@
 DIST vobject-0.9.3.tar.gz 57744 BLAKE2B 
01a9083faa7f2a84e2f6f09d9f9f14afb5558d86aefb1a9d5c7e3c8f0e664d6a292f79a340c1a32e510637784cdfb0f02d713e0bcdbb99d1531c50e742192063
 SHA512 
d77dac2e885ea752e900a2f6e3d9cf24fdd3365d1e9e2ba51c5c38b2889a62aaa61e5562799eb8063b5d4ded0bcd43108cd7e5d028cf7dbe72008b208b8e2e76
+DIST vobject-0.9.5.tar.gz 215577 BLAKE2B 
0312a0c1377ce8141e32422fbf9b4dab253398ccf83bb530929ac052537213b065d7550cd0d926a52a00e27271faa942797b65899fcbe3b8b955ca15c6a114a8
 SHA512 
087b394ad6c48c359ee1cabb90cbc85cb305ed9e65199f33c19f386c7075b70273e5fddcf7fde5356b140ead7a581efd917594e4d493e720c4e1a632f797acc7

diff --git a/dev-python/vobject/vobject-0.9.5.ebuild 
b/dev-python/vobject/vobject-0.9.5.ebuild
new file mode 100644
index 00000000000..aaf93db14a7
--- /dev/null
+++ b/dev-python/vobject/vobject-0.9.5.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package for parsing and generating vCard and vCalendar 
files"
+HOMEPAGE="http://eventable.github.io/vobject/
+       https://pypi.python.org/pypi/vobject
+       https://github.com/eventable/vobject";
+SRC_URI="https://github.com/eventable/vobject/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-python/python-dateutil-2.4.0[${PYTHON_USEDEP}]
+       dev-python/setuptools"[${PYTHON_USEDEP}]
+DEPEND="${RDEPEND}"
+
+DOCS=( ACKNOWLEDGEMENTS.txt README.md )
+
+python_test() {
+       "${EPYTHON}" tests.py || die "Testing failed under ${EPYTHON}"
+}

Reply via email to